For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet comments
      • POSTCreate a comment
      • GETGet a comment by ID
      • DELDelete a comment
      • PATCHUpdate a comment
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payableComments

Create a comment

POST
/comments
POST
/v1/comments
$curl -X POST https://api.sandbox.monite.com/v1/comments \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "object_id": "object_id",
> "object_type": "object_type",
> "text": "text"
>}'
1{
2 "id": "id",
3 "created_by_entity_user_id": "created_by_entity_user_id",
4 "entity_id": "entity_id",
5 "object_id": "object_id",
6 "object_type": "object_type",
7 "status": "active",
8 "text": "text",
9 "created_at": "2024-01-15T09:30:00Z",
10 "updated_at": "2024-01-15T09:30:00Z",
11 "reply_to_entity_user_id": "reply_to_entity_user_id"
12}
Create new comment
Was this page helpful?
Previous

Get a comment by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
object_idstringRequiredformat: "uuid"
object_typestringRequired
textstringRequired
reply_to_entity_user_idstringOptionalformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
created_by_entity_user_idstringformat: "uuid"
entity_idstringformat: "uuid"
object_idstringformat: "uuid"
object_typestring
statusenum
Allowed values:
textstring
created_atdatetime
updated_atdatetime
reply_to_entity_user_idstringformat: "uuid"

Errors

400
Post Comments Request Bad Request Error
403
Post Comments Request Forbidden Error
404
Post Comments Request Not Found Error
409
Post Comments Request Conflict Error
422
Post Comments Request Unprocessable Entity Error
500
Post Comments Request Internal Server Error